﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    public class House
    {
        public House(Player p)
        {
            Owner = p;
            Type = HouseType.NoBuilding;
        }
        public HouseType Type { get; set; }
        public Player Owner { get; set; }
        public int OwnerId { get => Owner.Id ; }

        public bool HasOwner { get => Owner is not null; }
    }
}
