﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    public class Road
    {
        public RoadCoordinates Coordinates { get; set; }
        public int PlayerId { get; set; }

        Road()
        {
            Coordinates = new RoadCoordinates();
            PlayerId = -1;
        }

        public Road(RoadCoordinates roadCoordinates, int playerId)
        {
            Coordinates = new RoadCoordinates(roadCoordinates);
            PlayerId = playerId;
        }

        public Road(Road other)
        {
            Coordinates = new RoadCoordinates(other.Coordinates);
            PlayerId = other.PlayerId;
        }

    }
}
