﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using CatanGame.Model;

namespace CatanGame.View
{
    /// <summary>
    /// Interaction logic for GameWindow.xaml
    /// </summary>
    public partial class GameWindow : UserControl
    {
        #region Fields
        private int _dices1 = 1;
        private int _dices2 = 2;
        ImageBrush dicesSkin = new ImageBrush();
        #endregion
        public GameWindow()
        {
            InitializeComponent();
            DicesSkin(_dices1, _dices2);
        }

        public void View_Rolled(RollEventArgs e)
        {
            int decies1 = e.Decies1;
            int decies2 = e.Decies2;
            DicesSkin(decies1, decies2);
        }


        public void DicesSkin(int dices_1, int dices_2)
        {
            int dices = 0;
            for (int i = 0; i < 2; i++)
            {
                ImageBrush dicesSkin = new ImageBrush();
                if (i == 0)
                {
                    dices1.Fill = dicesSkin;
                }
                else
                {
                    dices2.Fill = dicesSkin;
                }
                if (i == 0)
                {
                    dices = dices_1;
                }
                else if (i == 1)
                {
                    dices = dices_2;
                }
                switch (dices)
                {
                    case 1:
                        dicesSkin.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Images/one.png"));
                        break;
                    case 2:
                        dicesSkin.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Images/two.png"));
                        break;
                    case 3:
                        dicesSkin.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Images/three.png"));
                        break;
                    case 4:
                        dicesSkin.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Images/four.png"));
                        break;
                    case 5:
                        dicesSkin.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Images/five.png"));
                        break;
                    case 6:
                        dicesSkin.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Images/six.png"));
                        break;
                }


            }
        }

    }
}
