﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    public struct RoadCoordinates
    {
        public NodeCoordinates From { get; private set; }
        public NodeCoordinates To { get; private set; }


        public RoadCoordinates (NodeCoordinates from, NodeCoordinates to)
        {
            From = from;
            To = to;
        }

        public RoadCoordinates( RoadCoordinates other)
        {
            From = new NodeCoordinates(other.From);
            To = new NodeCoordinates(other.To);
        }

    }
}
