﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    public class RoadsEnabledEventArgs : EventArgs
    {
        public List<RoadCoordinates> EnabledRoads { get; private set; }


        public RoadsEnabledEventArgs (List<RoadCoordinates> enabledRoads)
        {
            EnabledRoads = new List<RoadCoordinates>(enabledRoads); // copy to prevent side effects
        }
    }
}
