﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.ViewModel
{
    public class FieldViewModel : ViewModelBase
    {

        private int _r;
        private int _q;
        private int _fieldNumber;
        private String _fieldType;
        private bool _hasRobber;

        #region Public properties
        public int R
        {
            get => _r;
            set => ChangeProperty(ref _r, value);
        }

        public int Q
        {
            get => _q;
            set => ChangeProperty(ref _q, value);
        }

        public int FieldNumber
        {
            get => _fieldNumber;
            set => ChangeProperty(ref _fieldNumber, value);
        }

        public String FieldType
        {
            get => _fieldType;
            set => ChangeProperty(ref _fieldType, value);
        }

        public bool HasRobber
        {
            get => _hasRobber;
            set => ChangeProperty(ref _hasRobber, value);
        }
        #endregion
    }
}
